- Qt 5.5
- Qt3D Module
- C++ Classes
- Quick3DEntityLoader
- Qt 5.5.1 Reference Documentation

# Quick3DEntityLoader Class

(Qt3D::Quick::Quick3DEntityLoader)

Inherits: |

- List of all members, including inherited members

## Properties

- entity : QObject * const
- source : QUrl

## Public Functions

| Quick3DEntityLoader(QNode * parent = 0)
| ~Quick3DEntityLoader()
QObject * | entity() const
void | setSource(const QUrl & url)
QUrl | source() const

## Signals

void | entityChanged()
void | sourceChanged()

## Protected Functions

void | copy(const QNode * ref)

## Property Documentation

### entity : QObject * const

Access functions:

QObject * | entity() const

Notifier signal:

void | entityChanged()

### source : QUrl

Access functions:

QUrl | source() const
void | setSource(const QUrl & url)

Notifier signal:

void | sourceChanged()

## Member Function Documentation

### Quick3DEntityLoader::Quick3DEntityLoader(QNode * parent = 0)

### Quick3DEntityLoader::~Quick3DEntityLoader()

### `[protected]` void Quick3DEntityLoader::copy(const QNode * ref)